Anypoint Amazon SQS Connector Demo
==================================


## Introduction

The current demo application provides a workflow to invoke SQS API operations for Add Permission, Create & Delete Queue and Send Message.

## Prerequisites

* Java 7
* Anypoint Studio 6.0.x or higher
* Mule Runtime 3.7.x EE or higher
* DataWeave
* Access to a Amazon SQS
* Amazon SQS Credentials.

## Import the project

* Go to **File > Import**
* Select **Anypoint Studio Project from External Location** (under the parent folder "Anypoint Studio")
* Provide the root path to the demo project folder.
* Select Mule Runtime (3.7.x EE).
* Click **Finish**.
* Set SQS credentials inside the file `src/main/app/mule-app.properties`. This may vary depending on the selected connection configuration. The current demo uses below details:

    ```
    sqs.accessKey=********
    sqs.secretKey=*******
    sqs.queueName=*******
    sqs.region=*****
    ```

* Open the **Global Element Configuration**.
* Fill Access Key, Secret Key, default Queue name and SQS Region. see the image below for reference.

![Demo SQS Configuration](images/Demo-sqs-configuration.png)

* Click the **Test Connection** button to ensure there is connectivity with the sandbox. A successful message should pop-up.

* Open a browser and access the URL **http://localhost:8081**. You should see the demo application deployed:

## Run the demo

### Add Permission

![Demo Add Permission](images/Demo-Add-Permission.png)

* Ensure **Label**, **Account Id**, **Action** filled.
* Click the button **Add Permission** and wait a few moments to finish processing.
* You should see the alert box with success message. 

### Create & Delete Queue

![Demo CRUD_Queue](images/Demo-CRUD-Queue.png)

* Ensure **Queue Name**, **Attribute Key**, **Attribute Value** filled.
* Click the button **Create & Delete Queue** and wait a few moments to finish processing.
* You should see the alert box with success message. 

### Send Message

![Demo Send Message](images/Demo-Send-Message.png)

* Provide the **Message** to be send.
* Click the button **Send Message** and wait a few moments to finish processing.
* You should see the alert box with success message.

## See more

* For additional technical information on the SQS Connector, visit our [technical reference documentation](http://mulesoft.github.io/sqs-connector/) or refer to the [SQS Documentation Site](https://docs.mulesoft.com/mule-user-guide/v/3.8/amazon-sqs-connector).
* For more information on the SQS API, go to the [SQS API documentation page](https://aws.amazon.com/documentation/sqs/).
